<?php
if(isset($_POST["bexp"])) {	
	$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
	$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
	$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
	$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];			
	
	$sql = "call spQuery_Registro_Guias($varClie, $varVend, $varFIni, $varFFin);";
	$_SESSION[expor_sql_1] =  $sql;
	$_SESSION[expor_sql_2] = NULL;
	$dir = "export.php?page=REGISTRO DE GUIAS";
	header("location: $dir");
	}
	
require "clases/KoolAjax/koolajax.php";
$koolajax->scriptFolder = "clases/KoolAjax";
	
function seleccionaCliente($ide) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$sql = "call spQuery_Lista_Cliente('$ide','','');";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila[1];
		else $retorna = "NO EXISTE";
		}
	return $retorna;
	}

function seleccionaVendedor($ide) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$sql = "call spQuery_Lista_Vendedor('$ide','','');";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila[1];
		else $retorna = "NO EXISTE";
		}
	return $retorna;
	}

$koolajax->enableFunction("seleccionaVendedor");
echo $koolajax->Render();
		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	$Link = $_SERVER['PHP_SELF'];
	$MyTabla = "_sv_venta";
	$myID = "id_venta";
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$varCCOD = (isset($_POST["ccod"]))?$_POST["ccod"]:NULL;
	$varCNOM = (isset($_POST["cnom"]))?$_POST["cnom"]:NULL;
	$varVCOD = (isset($_POST["vcod"]))?$_POST["vcod"]:NULL;
	$varVNOM = (isset($_POST["vnom"]))?$_POST["vnom"]:NULL;
	?>
	<script language="javascript">
	function valida(e){
		tecla=(document.all) ? e.keyCode : e.which;
		if(tecla == 13)
		document.form.cond.focus();
		}
		
	function pulsar(e, a) {
		tecla=(document.all) ? e.keyCode : e.which;
		var Campo = a.name;		
			
		if(tecla==13) {
			if(Campo == "ccod") {
				cargar("U","C",a.value,document.form.emp.value);
				document.form.cond.focus();
				}
			if(Campo.indexOf("acod")==0) {
				msj_articulo = "NO PRESIONES ENTER\n";
				}
			}
		return(tecla!=13);
		}
	
	function cargarCliente(ccod, cnom) {
		var Ruta = 'lista_cliente.php?ccod='+ccod+'&cnom='+cnom;
		testwindow= window.open (Ruta, "mywindow", "location=1,status=1,scrollbars=1,width=600,height=550");
		}	
	
	function cargarVendedor(vcod, vnom) {
		var Ruta = 'lista_vendedor.php?vcod='+vcod+'&vnom='+vnom;
		testwindow= window.open (Ruta, "mywindow", "location=1,status=1,scrollbars=1,width=600,height=550");
		}	
	
	function select_Cliente(ccod, cnom) {		
		var ccod1 = document.getElementById(ccod);
		var cnom1 = document.getElementById(cnom);
		if(ccod1.value=="") {
			ccod1.value = "";
			cnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaCliente(ccod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				ccod1.value = "";
				cnom1.value = dato;
				ccod1.focus();
				}
			else {
				cnom1.value = dato;
				}
			}
		}
	
	function select_Vendedor(vcod, vnom) {		
		var vcod1 = document.getElementById(vcod);
		var vnom1 = document.getElementById(vnom);
		if(vcod1.value=="") {
			vcod1.value = "";
			vnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaVendedor(vcod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				vcod1.value = "";
				vnom1.value = dato;
				vcod1.focus();
				}
			else {
				vnom1.value = dato;
				}
			}
		}
function ImprimirDoc(numDoc) {
	var Ruta = 'print/print_guia.php?ndoc='+numDoc;
	testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
	}

function AnularVenta(varCod, varEmi, varTra, varDoc, varUrl) {		
	if(confirm('¿ESTA SEGURO DE ANULAR ESTA GUIA?\nFecha Emisión : '+varEmi+'\nFecha Traslado : '+varTra+'\nDocumento : '+varDoc+'\nTENGA EN CUENTA QUE ESTE PROCESO QUITARA LA GUIA ASIGNADA AL DOCUMENTO DE VENTA RELACIANADO')) {		
		var Ruta = varUrl+'?opt=ANUL&valor='+varCod;
		window.location.href = Ruta;	
		}
	}

function DetalleVenta(varCod, varEmi, varDoc, varUrl) {		
	var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
	window.location.href = Ruta;
	}
</script>
	<?php
	if(!isset($Opcion)) {
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$titulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "campo"=>array("tipo"=>"varios",
														    "contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", "valor"=>$varCCOD, "ancho"=>"50", 
																				   	 "alinear"=>"center", "blur"=>"select_Cliente('ccod', 'cnom')", 
																					 "dclick"=>"cargarCliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", "valor"=>$varCNOM, "ancho"=>"200")
																			   )
														 )
										  	 ),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "campo"=>array("tipo"=>"varios",
														    "contenido"=>array(array("tipo"=>"text", "id"=>"vcod", "name"=>"vcod", "valor"=>$varVCOD, "ancho"=>"50", 
																				   	 "alinear"=>"center", "blur"=>"select_Vendedor('vcod', 'vnom')", 
																					 "dclick"=>"cargarVendedor('vcod', 'vnom')"),
																			   array("tipo"=>"text", "id"=>"vnom", "name"=>"vnom", "valor"=>$varVNOM, "ancho"=>"200")
																			   )
														 )
										  	 ),									  
									   array("titulo"=>"Fecha Incial :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"eini", "name"=>"eini", "alinear"=>"center","valor"=>$varFINI) ),
									   array("titulo"=>"Fecha Final :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"efin", "name"=>"efin", "alinear"=>"center", "valor"=>$varFFIN) )									   
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),			  
									   array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar")
									   )
						);
		echo $obj->setTablaForm($varTabla);	
		if(isset($_POST["bcon"])) {		
			$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
			$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
			$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
			$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];			
			
			$sql = "call spQuery_Registro_Guias($varClie, $varVend, $varFIni, $varFFin);";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"98%", "sql_cab"=>$sql,	"pages"=>20,
							"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>50, "titulo"=>"EMISION", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"TRASLADO", "alinear"=>"center"),
										   array("tamano"=>90, "titulo"=>"DOCUMENTO"),
										   array("tamano"=>50, "titulo"=>"EST."),
										   array("tamano"=>50, "titulo"=>"TIP.REF", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"DOC.REF", "alinear"=>"center"),
										   array("tamano"=>10, "titulo"=>"CCLI", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"CLIENTE"),
										   array("tamano"=>10, "titulo"=>"CVEN", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"VENDEDOR"),
										   array("tamano"=>60, "titulo"=>"TOTAL", "alinear"=>"right"),
										   array("tamano"=>60, "titulo"=>"PAGOS", "alinear"=>"right"),
										   array("tamano"=>60, "titulo"=>"SALDO", "alinear"=>"right")
										   ),
							"boton"=>array(array("tipo"=>"img", "id"=>"bdet", "name"=>"bdet", "img"=>"images/b_table.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>VER EL DETALLE</b> DE LA VENTA<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"DetalleVenta",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>2, "tipo"=>"INDEX"),
																			   array("valor"=>$Link, "tipo"=>"TEXTO")
																			   )
																)
												 ),											
											array("tipo"=>"img", "id"=>"bimp", "name"=>"bimp", "img"=>"images/b_printer.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>IMPRIMIR</b> LA GUIA<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Traslado : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>3, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"ImprimirDoc",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"))
																)
												 ),
											array("cond"=>array(array(3,"<>","ANULADO")),
										   		 "tipo"=>"img", "id"=>"banu", "name"=>"banu", "img"=>"images/b_table_delete.png", 
												 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>ANULAR</b> LA GUIA<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Traslado : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>3, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"AnularVenta",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>2, "tipo"=>"INDEX"),
																			   array("valor"=>3, "tipo"=>"INDEX"),
																			   array("valor"=>$Link, "tipo"=>"TEXTO") 
																			  )
																)
												 
												)											
										)
							);
			echo $obj->SetGridTabla($varTabla);
			}
		}
	elseif($Opcion=="VIEW") {
		$sql = "CALL spQuery_Registro_Guias_Detalle($Valor)";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"Formtitulo", "titulo"=>$titulo." - DETALLE",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "texto"=>$Fila["EMISION"], "tamano"=>"120"),
									   array("titulo"=>"Fecha Traslado :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["TRASLADO"]),
									   array("titulo"=>"Tipo Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["CTIP"]),
									   array("titulo"=>"Nro Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["NDOC"]),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCLI"].' - '.$Fila["CLIENTE"]),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CVEN"].' - '.$Fila["VENDEDOR"]),
									   array("titulo"=>"Condición Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCON"].' - '.$Fila["CONDICION"]),
									   array("titulo"=>"Monto :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>number_format($Fila["TOTAL"], 2,'.',',')),	
									   array("titulo"=>"Estado :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["ESTADO"]),
									   array("titulo"=>"Ubigeo Partida :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										 	 "texto"=>$Fila["UBI_PAR"]." - ".$Fila["DEP_PAR"]." - ".$Fila["PRO_PAR"]." - ".$Fila["DIS_PAR"]),
									   array("titulo"=>"Direccion Partida :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["DIRE_PAR"]),
									   array("titulo"=>"Ubigeo Destino :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										 	 "texto"=>$Fila["UBI_DES"]." - ".$Fila["DEP_DES"]." - ".$Fila["PRO_DES"]." - ".$Fila["DIS_DES"]),
									   array("titulo"=>"Direccion Destino :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["DIRE_DES"])
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'"),
									   array("tipo"=>"button", "id"=>"bimp", "name"=>"bimp", "ancho"=>"80", "alto"=>"22", 
									   		 "texto"=>"Imprimir", "click"=>"javascript:ImprimirDoc($Valor)")
									)
						);
		echo $obj->setTablaForm($varTabla);
		
		$sql = "select D.id_producto AS CPRO, A.descripcion AS PRODUCTO, D.PRECIO, 
				D.CANTIDAD,
				D.TOTAL
				from _sv_guia_detalle D
				inner join _sv_producto A ON D.id_producto = A.id_producto
				where D.id_guia=$Valor";
		$rs_cab = array(0=>array("tamano"=>50, "titulo"=>"CITEM", "Negrita"=>"SI", "Alinear"=>"center"),
						1=>array("tamano"=>350, "titulo"=>"NOMBRE DE ARTICULO"),
						2=>array("tamano"=>60, "titulo"=>"PRECIO", "Alinear"=>"right"),
						3=>array("tamano"=>70, "titulo"=>"CANTIDAD", "Alinear"=>"right"),
						4=>array("tamano"=>70, "titulo"=>"IMPORTE", "Alinear"=>"right")
						);
		echo $obj->SetGrid(600,$rs_cab,$sql,NULL,4, NULL, "SI"); 
		}
	elseif($Opcion=="ANUL") {
		if($_SESSION["_FDEL"]<>"S") {
			echo "<script language='Javascript'>";
			echo "window.location='$Link'";
			echo "</script>\n";
			}
		$sql = "call spMante_Guia_Anular($Valor, $_SESSION[_CUSE]);";
		$obj->AbrirConexion();
		$obj->Query($sql);
		$obj->CerrarConexion();	
		echo "<script language='Javascript'>";
		echo "window.location='$Link'";
		echo "</script>\n";
		}	
	} 
?>